cdac.medinfo.sdk.hl7282.hl7model.messages.scheduling

## Class SIU_S12

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.scheduling.SIU_S12_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.scheduling.SIU_S12

-     public final class SIU_S12
      extends SIU_S12_Common

  SIU_S12 - Schedule Information Unsolicited Message (event S12). This event is use between filler applications and auxiliary applications. Transactions are initiated by the filler application, using the SIU message to notify auxiliary applications of modifications in a filler application's schedule(s).

  Represents a SIU_S12 message structure (see chapter 10.4). This structure contains the following elements:

  0: MSH (Message Header segment) SINGLE_COMPULSARY
  1: SCH (Schedule Activity Information) SINGLE_COMPULSARY
  2: TQ1 (Timing/Quantity) MULTIPLE_OPTIONAL
  3: NTE (Notes and Comments for the SCH) MULTIPLE_OPTIONAL
  4: PATIENT (a Group in SIU_S12 message) MULTIPLE_OPTIONAL
  5: RESOURCES(a Group in SIU_S12 message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  SIU_S12 objS12 = (SIU_S12)MessageFactory.createInstance().createSendSupportedMessage("SIU", "S12");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.scheduling.SIU_S12_Common

      `addNotesandCommentsSegment, addNotesandCommentsSegments, addPatientGroup, addPatientGroups, addResourcesGroup, addResourcesGroups, addTimingQuantitySegment, addTimingQuantitySegments, getNotesandCommentsSegments, getPatientGroups, getResourcesGroups, getScheduleActivityInformation, getTimingQuantitySegments, setScheduleActivityInformation`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`